Почему я не могу обновить свой Pi?

Всякий раз, когда я пытаюсь выполнить команду sudo apt-get update, она выводит эту ошибку:

E: The method driver /usr/lib/apt/methods/https could not be found.

N: Is the package apt-transport-https installed?

Я не мог найти ответы в Интернете. Кто-нибудь может помочь?

5 голосов | спросил Nathan Lerowsky 10 SatEurope/Moscow2016-12-10T04:52:59+03:00Europe/Moscow12bEurope/MoscowSat, 10 Dec 2016 04:52:59 +0300 2016, 04:52:59

1 ответ


0

Я проверил /etc/apt/sources.list.d/. В моем случае я нашел два файла. raspi.list и infuxdb.list. Я нашел https в файле infuxdb.list. Я удалил файл infuxdb.list командой rm. Теперь моя малина работает отлично. Я могу запустить sudo apt-get update без ошибок.

ответил natarajan physicist 31 +03002017-10-31T18:33:42+03:00312017bEurope/MoscowTue, 31 Oct 2017 18:33:42 +0300 2017, 18:33:42

Похожие вопросы

Популярные теги

security × 330linux × 316macos × 2827 × 268performance × 244command-line × 241sql-server × 235joomla-3.x × 222java × 189c++ × 186windows × 180cisco × 168bash × 158c# × 142gmail × 139arduino-uno × 139javascript × 134ssh × 133seo × 132mysql × 132